PDA

View Full Version : GCC 4.8 for HANA



avidil88
27-Jul-2016, 12:27
Hi Team,
We have an SAP HANA DB server running SLES11 SP3. To upgrade SAP HANA patch from SPS 9 revision 97 to SPS 11 revision 110, we need to install GCC 4.8 libraries.
SAP recommends to manually download GCC binaries 4.8 from the link: https://download.suse.com/Download?buildid=DdjhJT3YGX4
But the the page does not let us download after login and below is the error:

avidil88
27-Jul-2016, 12:29
The error is: You are not authorized to access this item.

Please let me know how to download required GCC 4.8 libraries: gcc48-runtime.zip (293.5 KB (300605))

Regards,
Avinash

malcolmlewis
27-Jul-2016, 12:56
On Wed 27 Jul 2016 11:34:02 AM CDT, avidil88 wrote:

The error is: You are not authorized to access this item.

Please let me know how to download required GCC 4.8 libraries:
gcc48-runtime.zip (293.5 KB (300605))

Regards,
Avinash




Hi
Are you sure your logged in? Do you have an active subscription for
updates etc?

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
openSUSE Leap 42.1|GNOME 3.16.2|4.1.27-27-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

avidil88
27-Jul-2016, 13:13
Hi,

Yes I have logged in. After logging in the above error comes up.

Can you please download the GCC 4.8 by yourself and send it to my personal email id please?

Regards,
Avinash

malcolmlewis
27-Jul-2016, 13:44
On Wed 27 Jul 2016 12:14:02 PM CDT, avidil88 wrote:

Hi,

Yes I have logged in. After logging in the above error comes up.

Can you please download the GCC 4.8 by yourself and send it to my
personal email id please?

Regards,
Avinash




Hi
I would guess you don't have an active subscription then? Please
confirm.

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
openSUSE Leap 42.1|GNOME 3.16.2|4.1.27-27-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

avidil88
27-Jul-2016, 13:58
Yes I don't have active subscription, I guess.

Please suggest how to download the above libraries.

Regards,
Avinash

malcolmlewis
27-Jul-2016, 14:18
On Wed 27 Jul 2016 01:04:02 PM CDT, avidil88 wrote:

Yes I don't have active subscription, I guess.

Please suggest how to download the above libraries.

Regards,
Avinash




Hi
I've asked my SUSE contacts if there is any thing that can be done,
unfortunately my direct contact is away on leave, so it may be a few
days before I get a response.

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
openSUSE Leap 42.1|GNOME 3.16.2|4.1.27-27-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

thsundel
27-Jul-2016, 14:40
Hi
I've asked my SUSE contacts if there is any thing that can be done,
unfortunately my direct contact is away on leave, so it may be a few
days before I get a response.

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
openSUSE Leap 42.1|GNOME 3.16.2|4.1.27-27-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

At the bottom of that page it says:


You must have validly licensed the version and quantity of the primary product in order to install or use the Additional Release

I might be wrong but it's highly unlikely anything can be done except for licensing the product...

That's just my 2c.

Thomas

avidil88
27-Jul-2016, 14:41
Thanks a lot Malcolm.

Kindly update me as soon as possible.

Regards,
Avinash

avidil88
28-Jul-2016, 14:02
At the bottom of that page it says:



I might be wrong but it's highly unlikely anything can be done except for licensing the product...

That's just my 2c.

Thomas

Hi Thomas,

Can you please share with me GCC 4.8 if you do have it.

Regards,
Avinash

dafrk
28-Jul-2016, 15:02
hello avidil88. You probably have to get a subscription and register your system with the command line tool suse_register before you can access these packages.

Best regards

malcolmlewis
30-Jul-2016, 15:02
On Wed 27 Jul 2016 01:44:01 PM CDT, avidil88 wrote:

Thanks a lot Malcolm.

Kindly update me as soon as possible.

Regards,
Avinash




Hi
As user dafrk indicated, if the system isn't registered for
updates, there must be a contact somewhere in your organization who has
the details (credentials/subscription) for you to enable the
repositories to obtain that and probably more updates....

--
Cheers Malcolm °¿° LFCS, SUSE Knowledge Partner (Linux Counter #276890)
openSUSE Leap 42.1|GNOME 3.16.2|4.1.27-27-default
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

avidil88
02-Aug-2016, 11:10
Hi,

In our organization SAP HANA DB runs on OS SUSE 11.2 which is running in cloud from AMAZON (AWS). I contacted with them also. As per my communication with them it's not available with them as well and suggested me to download from Suse URL: https://download.suse.com/Download?buildid=DdjhJT3YGX4

Please suggest how to proceed and get the necessary patches of GCC 4.8

Regards,
Avinash

smflood
03-Aug-2016, 23:47
avidil88 Wrote in message:

> In our organization SAP HANA DB runs on OS SUSE 11.2 which is running in
> cloud from AMAZON (AWS). I contacted with them also. As per my
> communication with them it's not available with them as well and
> suggested me to download from Suse URL:
> https://download.suse.com/Download?buildid=DdjhJT3YGX4

I thought you said you were using SLES11 SP3?

> Please suggest how to proceed and get the necessary patches of GCC 4.8

So you don't have maintenance (or access to) for at least one of
your SLES11 servers?

HTH.
--
Simon Flood
SUSE Knowledge Partner


----Android NewsGroup Reader----
http://usenet.sinaapp.com/

dafrk
04-Aug-2016, 15:42
hello avidil,

if you are using SLES 12, you must register your system with the command line tool SUSEConnect instead of suse_register,

as for the download link, you probably have to login with your suse customer account (scc.suse.com) in order to be able to download this link.

cvedovato
25-Aug-2016, 20:19
hi all, use this thread because have to do the same task, install gcc patch before upgrade HANA on a SLES 11 SP3.
actually in the system has this [gcc ,library]


# rpm -qa --last | grep gcc
gcc-locale-4.3-62.198 Wed Jun 10 20:28:25 2015
gcc-c++-4.3-62.198 Wed Jun 10 20:28:25 2015
gcc43-c++-4.3.4_20091019-0.37.30 Wed Jun 10 20:28:16 2015
gcc-4.3-62.198 Wed Jun 10 20:28:16 2015
gcc43-locale-4.3.4_20091019-0.37.30 Wed Jun 10 20:28:09 2015
gcc43-4.3.4_20091019-0.37.30 Wed Jun 10 20:27:20 2015
gcc-info-4.3-62.198 Wed Jun 10 20:21:50 2015
libgcc46-4.6.9-0.11.38 Wed Jun 10 20:21:34 2015
gcc43-info-4.3.4_20091019-0.37.30 Wed Jun 10 20:20:54 2015
libgcc_s1-32bit-4.7.2_20130108-0.15.45 Wed Jun 10 20:16:56 2015
libgcc43-4.6.9-0.11.38 Wed Jun 10 20:16:48 2015
libgcc_s1-4.7.2_20130108-0.17.2 Wed Jun 10 16:08:51 2015

after have extracted the zip file, whith the command zypper in gcc48-runtime/lib*.rpm
the system will prompt to remove some gcc, (see the picture)

http://i65.tinypic.com/303akao.jpg


what do you suggest?
is not clear whether remove the gcc could be a problem, the system is not used to build software from source, but i don't know if old gcc library are still used from other software

Thanks in advance